<?php
/**
* Header Options.
*
* @package Trucking Company
*/

$trucking_company_default = trucking_company_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'trucking_company_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'trucking-company' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'trucking_company_theme_option_panel',
	)
);

$wp_customize->add_setting('trucking_company_sticky',
    array(
        'default' => $trucking_company_default['trucking_company_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'trucking_company_sanitize_checkbox',
    )
);
$wp_customize->add_control('trucking_company_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'trucking-company'),
        'section' => 'trucking_company_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_topbar_text',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_topbar_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_topbar_text',
    array(
    'label'    => esc_html__( 'Header Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);


$wp_customize->add_setting( 'trucking_company_header_layout_button_text',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_button_text',
    array(
    'label'    => esc_html__( 'Header Button Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_button_link',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_button_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_button_link',
    array(
    'label'    => esc_html__( 'Header Button Link', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_location_address_text',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_location_address_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_location_address_text',
    array(
    'label'    => esc_html__( 'Header Location Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_location_address',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_location_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_location_address',
    array(
    'label'    => esc_html__( 'Header Location', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_email_address_text',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_email_address_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_email_address_text',
    array(
    'label'    => esc_html__( 'Header Email Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_email_address',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_email_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_email_address',
    array(
    'label'    => esc_html__( 'Header Email Address', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_working_hour_text',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_working_hour_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_working_hour_text',
    array(
    'label'    => esc_html__( 'Header Working Hr Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_working_hour',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_working_hour'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_working_hour',
    array(
    'label'    => esc_html__( 'Header Working Hr Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_phone_number_text',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_phone_number_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_phone_number_text',
    array(
    'label'    => esc_html__( 'Header Phone Number Text', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_phone_number',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_phone_number',
    array(
    'label'    => esc_html__( 'Header Phone Number', 'trucking-company' ),
    'section'  => 'trucking_company_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('trucking_company_menu_font_size',
    array(
        'default'           => $trucking_company_default['trucking_company_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'trucking_company_sanitize_number_range',
    )
);
$wp_customize->add_control('trucking_company_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'trucking-company'),
        'section'     => 'trucking_company_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'trucking_company_menu_text_transform',
    array(
    'default'           => $trucking_company_default['trucking_company_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'trucking_company_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'trucking_company_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'trucking-company' ),
    'section'     => 'trucking_company_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'trucking-company' ),
        'uppercase'  => esc_html__( 'Uppercase', 'trucking-company' ),
        'lowercase'    => esc_html__( 'Lowercase', 'trucking-company' ),
        ),
    )
);

$wp_customize->add_setting('trucking_company_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'trucking_company_header_menus_color', array(
    'label'    => __('Main Menu Color', 'trucking-company'),
    'section'  => 'trucking_company_button_header_setting',
)));

$wp_customize->add_setting('trucking_company_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'trucking_company_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'trucking-company'),
    'section'  => 'trucking_company_button_header_setting',
)));

$wp_customize->add_setting('trucking_company_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'trucking_company_header_submenus_color', array(
    'label'    => __('Submenu Color', 'trucking-company'),
    'section'  => 'trucking_company_button_header_setting',
)));

$wp_customize->add_setting('trucking_company_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'trucking_company_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'trucking-company'),
    'section'  => 'trucking_company_button_header_setting',
)));